Encoding JobsList Active Encoding Jobs

List Active Encoding Jobs

List all active / pending video encoding job queue for the service.

curl -X GET "https://api.5centscdn.com/v2/transcoding/jobs" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
[
  {
    "id": 2331,
    "jobid": "1343703",
    "profileid": "2939",
    "infile": "/sample-video.mp4",
    "outfile": "/mp4/sample-video_1080p.mp4",
    "percent": "100",
    "log": "",
    "error": "",
    "created_at": "2026-04-25 12:29:13",
    "updated_at": "2026-04-25 12:33:52",
    "timings": {
      "process": {
        "start": "1777120159097",
        "end": "1777120432214"
      },
      "infile": {
        "check": {
          "start": "1777120159166",
          "end": "1777120160243"
        },
        "probe": {
          "start": "1777120160243",
          "end": "1777120161860"
        }
      },
      "download": {
        "start": "1777120161932",
        "end": "1777120168733"
      },
      "encoder": {
        "start": "1777120168803",
        "end": "1777120431882"
      },
      "outfile": {
        "check": {},
        "probe": {
          "start": "1777120431882",
          "end": "1777120431928"
        },
        "segment": {}
      },
      "thumbs": {
        "process": {}
      },
      "upload": {
        "start": "1777120432173",
        "end": "1777120432203"
      }
    },
    "profile": "1080p"
  }
]
GET
/transcoding/jobs
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Responses

idinteger

Unique stream or record identifier.

jobidstring

Unique identifier of the encoding job.

profileidstring

Transcoding profile identifier used for this job.

infilestring

Input file relative path.

outfilestring

Output file relative path.

percentstring

Encoding completion percentage (0-100).

logstring

Encoder process log output.

errorstring

Error message if the encoding job failed.

created_atstring

Timestamp when this record was created.

updated_atstring

Timestamp when this record was last updated.

timingsobject

Timing breakdown for each stage of the encoding pipeline.

profilestring

Codec or encoder profile name.